package com.ecep.contract.controller.project.sale_type;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;
import com.ecep.contract.service.ProjectSaleTypeService;
import com.ecep.contract.vm.ProjectSaleTypeViewModel;
import com.ecep.contract.vo.ProjectSaleTypeVo;

public abstract class AbstProjectSaleTypeBasedTabSkin
        extends AbstEntityBasedTabSkin<ProjectSaleTypeWindowController, ProjectSaleTypeVo, ProjectSaleTypeViewModel>
        implements TabSkin {

    public AbstProjectSaleTypeBasedTabSkin(ProjectSaleTypeWindowController controller) {
        super(controller);
    }

    public ProjectSaleTypeService getSaleTypeService() {
        return controller.saleTypeService;
    }
}
